#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 41. Other X-based Programs

- Prev

  Transmission-3.00

- Next

  xdg-utils-1.1.3

- Up
- Home

# xarchiver-0.5.4.17

## Introduction to xarchiver

XArchiver is a GTK+ archive manager with support for tar, xz, bzip2, gzip, zip, 7z, rar, lzo and many other archive formats.

This package is known to build and work properly using an LFS-11.1 platform.

### Note

xarchiver is only a command line or graphical interface to archiving utilities such as tar and zip.

### Package Information

- Download (HTTP): https://github.com/ib/xarchiver/archive/0.5.4.17/xarchiver-0.5.4.17.tar.gz

- Download MD5 sum: f09d266775347f2ebccd94b01cf23c65

- Download size: 1.0 MB

- Estimated disk space required: 12 MB

- Estimated build time: 0.1 SBU

### xarchiver Dependencies

#### Required

GTK+-2.24.33 or GTK+-3.24.31

#### Optional (Runtime)

cpio-2.13, LZO-2.10, p7zip-17.04, UnRar-6.1.4, UnZip-6.0, and Zip-3.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/xarchiver

## Installation of xarchiver

Install xarchiver by running the following commands:

    ./configure  --prefix=/usr               \
                 --libexecdir=/usr/lib/xfce4 \
                 --docdir=/usr/share/doc/xarchiver-0.5.4.17 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK+-2.24.33 or GTK+-3.24.31 installed (for the icon cache) and desktop-file-utils-0.26 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--libexecdir=/usr/lib/xfce4`: This switch fixes the location for the thunar-archive-plugin, so it will work if thunar-4.16.10 is installed.

`--disable-gtk3`: This switch allows building against GTK+2 or use `--disable-gtk2` to force building against GTK+3 when GTK+2 is installed, too.

## Contents

Installed Program: xarchiver
Installed Libraries: None
Installed Directories: /usr/lib/xfce4/thunar-archive-plugin, /usr/share/doc/xarchiver-0.5.4.17, and /usr/share/pixmaps/xarchiver

### Short Descriptions

xarchiver | is a GTK+ archive manager

Last updated on

- Prev

  Transmission-3.00

- Next

  xdg-utils-1.1.3

- Up
- Home